package view

import (
	"fyne.io/fyne/v2"
	"fyne.io/fyne/v2/container"
	"fyne.io/fyne/v2/lang"
	"fyne.io/fyne/v2/theme"
	"fyne.io/fyne/v2/widget"
)

func HelpFFplay() fyne.CanvasObject {
	data := [][]string{
		{
			lang.L("helpFFplayKeys"),
			lang.L("helpFFplayDescription"),
		},
		{
			"Q, ESC",
			lang.L("helpFFplayQuit"),
		},
		{
			"F, " + lang.L("helpFFplayDoubleClickLeftMouseButton"),
			lang.L("helpFFplayToggleFullScreen"),
		},
		{
			"P, " + lang.L("helpFFplayKeySpace"),
			lang.L("helpFFplayPause"),
		},
		{
			"M",
			lang.L("helpFFplayToggleMute"),
		},
		{
			"9, /",
			lang.L("helpFFplayDecreaseVolume"),
		},
		{
			"0, *",
			lang.L("helpFFplayIncreaseVolume"),
		},
		{
			lang.L("helpFFplayKeyLeft"),
			lang.L("helpFFplaySeekBackward10Seconds"),
		},
		{
			lang.L("helpFFplayKeyRight"),
			lang.L("helpFFplaySeekForward10Seconds"),
		},
		{
			lang.L("helpFFplayKeyDown"),
			lang.L("helpFFplaySeekBackward1Minute"),
		},
		{
			lang.L("helpFFplayKeyUp"),
			lang.L("helpFFplaySeekBForward1Minute"),
		},
		{
			"Page Down",
			lang.L("helpFFplaySeekBackward10Minutes"),
		},
		{
			"Page Up",
			lang.L("helpFFplaySeekBForward10Minutes"),
		},
		{
			"S, " + lang.L("helpFFplayKeyHoldS"),
			lang.L("helpFFplayActivateFrameStepMode"),
		},
		{
			"W",
			lang.L("helpFFplayCycleVideoFiltersOrShowModes"),
		},
	}

	list := widget.NewTable(
		func() (int, int) {
			return len(data), len(data[0])
		},
		func() fyne.CanvasObject {
			return widget.NewLabel("")
		},
		func(i widget.TableCellID, o fyne.CanvasObject) {
			if i.Row == 0 {
				o.(*widget.Label).TextStyle.Bold = true
				o.(*widget.Label).SizeName = theme.SizeNameSubHeadingText
			}
			if i.Col == 0 {
				o.(*widget.Label).TextStyle.Bold = true
			}
			o.(*widget.Label).SetText(data[i.Row][i.Col])
		})
	list.SetRowHeight(0, 40)
	list.SetColumnWidth(0, 200)
	list.SetColumnWidth(1, 585)
	list.SetRowHeight(2, 55)

	return container.NewScroll(list)
}
