package view

import (
	"fyne.io/fyne/v2"
	"fyne.io/fyne/v2/lang"
	"fyne.io/fyne/v2/widget"
	"git.kor-elf.net/kor-elf/gui-for-ffmpeg/internal/application/setting"
)

func StartWithoutSupportLang(languages []setting.Lang, funcSelected func(lang setting.Lang)) fyne.CanvasObject {
	listView := widget.NewList(
		func() int {
			return len(languages)
		},
		func() fyne.CanvasObject {
			return widget.NewLabel("template")
		},
		func(i widget.ListItemID, o fyne.CanvasObject) {
			block := o.(*widget.Label)
			block.SetText(languages[i].Title)
		})
	listView.OnSelected = func(id widget.ListItemID) {
		funcSelected(languages[id])
	}

	messageHead := lang.L("languageSelectionHead")
	return widget.NewCard(messageHead, "", listView)
}
